# $Revision: 1.41 $, $Date: 2006/03/27 12:40:21 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# require server access
#
%include	/usr/lib/rpm/macros.perl
Summary:	Msql-Mysql-modules perl module
Summary(pl):	Modu Perla Msql-Mysql-modules
Name:		perl-Msql-Mysql-modules
Version:	1.2219
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBD/Msql-Mysql-modules-%{version}.tar.gz
# Source0-md5:	ad3dec1881d4c4ff9a353f33ff434b5f
Patch0:		%{name}-shutdown.patch
BuildRequires:	mysql-devel >= 4.1.0
BuildRequires:	perl-DBI >= 1.08
BuildRequires:	perl-Data-ShowTable
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	zlib-devel
Obsoletes:	perl-DBD-mysql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Msql-Mysql-modules package. This package is configured for use with
MySQL only and doesn't contain drivers for mSQL databases.

%description -l pl
Pakiet Msql-Mysql-modules. Ten pakiet jest skonfigurowany do uytku z
MySQL i nie zawiera sterownikw dla baz danych mSQL.

%prep
%setup -q -n Msql-Mysql-modules-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	--mysql-libdir=%{_libdir} \
	--nomsql-install \
	--noprompt
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/dbimon
%{perl_vendorarch}/DBD/mysql.pm
%{perl_vendorarch}/Mysql.pm
%{perl_vendorarch}/Mysql
%dir %{perl_vendorarch}/auto/DBD/mysql
%{perl_vendorarch}/auto/DBD/mysql/mysql.bs
%attr(755,root,root) %{perl_vendorarch}/auto/DBD/mysql/mysql.so
%{_mandir}/man1/*
%{_mandir}/man3/DBD*
%{_mandir}/man3/Mysql*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Msql-Mysql-modules.spec,v $
Revision 1.41  2006/03/27 12:40:21  glen
- rel 10 (libmysqlclient_15)

Revision 1.40  2005/10/27 17:49:04  arekm
- rel 9

Revision 1.39  2005/02/14 20:09:17  arekm
- rel++

Revision 1.38  2005/01/07 23:12:38  arekm
- mysql 4.1 support

Revision 1.37  2004/10/24 15:53:16  paladine
- spelling fixes, uppercases, etc.

Revision 1.36  2004/05/07 00:40:54  ankry
- rel. 7

Revision 1.35  2004/04/23 19:06:41  ankry
- tests added (but disabled), license fix

Revision 1.34  2004/04/10 19:30:02  qboosh
- lib64 fix, cosmetics; release 6

Revision 1.33  2003/09/10 00:14:38  ankry
- rel. 5

Revision 1.32  2003/09/09 23:23:12  ankry
- rel. 4

Revision 1.31  2003/09/09 10:24:42  ankry
- spaces -> tab

Revision 1.30  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:24:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.27  2003/03/01 20:21:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.26  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.25  2003/02/18 15:36:58  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/07/23 08:58:55  ankry
- Obsoletes: perl-DBD-mysql
- fixed module/package name, some other cleaning
- new %%doc
- added %%{perl_sitearch}/auto/DBD/mysql dir
- release 2

Revision 1.23  2002/07/10 08:48:07  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.22  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/10 15:29:40  depesz
adapterized

Revision 1.19  2002/01/18 02:14:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/11/27 16:43:59  mis
- autoupdated to 1.2219

Revision 1.17  2001/09/18 15:24:07  qboosh
- release 3: removed Bundle::* - we use rpm dependencies

Revision 1.16  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.15  2001/04/17 12:13:08  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.14  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.13  2001/04/10 19:34:33  mis
- autoupdated to 1.2216

Revision 1.12  2001/02/16 06:25:25  kloczek
- release 3: rebuild against mysql 3.23.

Revision 1.11  2001/01/25 20:03:45  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2001/01/19 02:57:16  kloczek
- do not include .packlist in %files,
- spec adapterized,
- make spec %%{debug} ready.

Revision 1.9  2001/01/13 00:51:52  dobrek
-Req:perl>=5.6 ;Realase=2;New rpm automat

Revision 1.8  2000/10/11 06:30:12  depesz
najnowsze wersje.
